#### D.3.1.7 is_complex

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  is_complex(c); c = list of size-compatible modules or matrices

Return:
  1 if c[i]*c[i+1]=0 for all i, 0 if not, hence checking whether the list of matrices forms a complex.

Note:
  Ideals are treated internally as 1-line matrices.
  If printlevel > 0, the position where c is not a complex is shown.

Example:

    LIB "matrix.lib";
    ring r  = 32003,(x,y,z),ds;
    ideal i = x4+y5+z6,xyz,yx2+xz2+zy7;
    list L  = nres(i,0);
    is_complex(L);
    ==> 1
    L[4]    = matrix(i);
    is_complex(L);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.